{ config, lib, pkgs, user, ... }:

{
  services.kanshi = {
    enable = true;

    profiles = {
      home_office_left = {
        outputs = [
          {
            criteria = "Samsung Electric Company U28E590 HTPJ404252";
            mode = "3840x2160";
            scale = 1.5;
            status = "enable";
            position = "0,526";
          }
          {
            criteria = "Samsung Electric Company U28E590 HTPJ300612";
            mode = "3840x2160";
            scale = 1.5;
            status = "enable";
            position = "2560,0";
            transform = "270";
          }
        ];
        exec = ''
          exec swaymsg workspace 0, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 8, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 6, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 4, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 2, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'

          exec swaymsg workspace 9, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 7, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 5, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 3, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 1, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
        '';
      };
    };
  };
}
